Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui.statusbar
Interface StatusWidgetFactory

All Known Implementing Classes:
  BufferSetWidgetFactory, ClockWidgetFactory, EncodingWidgetFactory, ErrorsWidgetFactory, FoldWidgetFactory, LineSepWidgetFactory, MemoryStatusWidgetFactory, ModeWidgetFactory, MultiSelectWidgetFactory, OverwriteWidgetFactory, RectSelectWidgetFactory, SelectionLengthWidgetFactory, WrapWidgetFactory

    public interface StatusWidgetFactory

A widget factory for the status bar.

Since:
  jEdit 4.3pre14

Method Summary
`Widget` | `getWidget(View view)` returns an instance of Widget for the given view

Method Detail

### getWidget

    Widget getWidget(View view)

  returns an instance of Widget for the given view

  Parameters:
    `view` - the view to which the created widget will belong
  Returns:
    a widget instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD